NMUDIFF(1)

NAME
nmudiff - email an NMU diff to the Debian BTS

SYNOPSIS
nmudiff [options]

DESCRIPTION
nmudiff should be run in the source tree of the package being NMUed, after the NMU is built. It assumes that the source packages (specifically, the .dsc and any corresponding tar and diff files) for both the previous version of the package and the newly built NMU version are in the parent directory. It then uses debdiff to generate a diff between the previous version and the current NMU, and either runs mutt or an editor (using sensible-editor) so that the mail message (including the diff) can be examined and modified; once you exit the editor the diff will be mailed to the Debian BTS.

The default behaviour is that if exactly one bug is closed by this NMU, then that bug will be mailed, otherwise a new bug will be submitted. This behaviour may be changed by command line options and configuration file options.

OPTIONS

--new
    Instead of mailing the bug reports which are to be closed by this NMU, a new bug report is submitted directly to the BTS.

--old
    Send the bug report to all of the bugs which are being closed by this NMU, rather than opening a new bug report. This option has no effect if no bugs are being closed by this NMU.

--mutt
    Use mutt(1) for editing and sending the message to the BTS (default behaviour). This can be controlled using a configuration file option (see below).

--no-mutt
    Use sensible-editor(1) to edit the message and then mail it directly using /usr/bin/sendmail. This can be controlled using a configuration file option (see below).

--sendmail SENDMAILCMD
    Specify the sendmail command. The command will be split on white space and will be interpreted by the shell. Default is /usr/sbin/sendmail. The -t option will be automatically added if the command is /usr/sbin/sendmail or /usr/sbin/exim*. For other mailers, if they require a -t option, this must be included in the SENDMAILCMD, for example: --sendmail="/usr/sbin/mymailer -t". This can also be set using the devscripts configuration files; see below.

--from EMAIL
    If using the sendmail (--no-mutt) option, then the email to the BTS will be sent using the name and address in the environment variables DEBEMAIL and DEBFULLNAME. If these are not set, then the variables EMAIL and NAME will be used instead. These can be overridden using the --from option. The program will not work in this case if an email address cannot be determined.

--delay DELAY
    Indicate in the generated mail that the NMU has been uploaded to the DELAYED queue, with a delay of DELAY days. The default value is XX which adds a placeholder to the e-mail. A value of 0 indicates that the upload has not been sent to a delayed queue. This can also be set using the devscripts configuration files; see below.

--no-delay, --nodelay
    Equivalent to --delay 0.

--no-conf, --noconf
    Do not read any configuration files. This can only be used as the first option given on the command-line.

--help
    Display a help message and exit successfully.

--version
    Display version and copyright information and exit successfully.

CONFIGURATION VARIABLES
The two configuration files /etc/devscripts.conf and ~/.devscripts are sourced in that order to set configuration variables. Command line options can be used to override configuration file settings. Environment variable settings are ignored for this purpose. The currently recognised variables are:

NMUDIFF_DELAY
    If this is set to a number, e-mails generated by nmudiff will by default mention an upload to the DELAYED queue, delayed for the specified number of days. The value 0 indicates that the DELAYED queue has not been used.

NMUDIFF_MUTT
    Can be yes (default) or no, and specifies whether to use mutt to compose and send the message or not, as described above.

NMUDIFF_NEWREPORT
    This option controls whether a new bug report is made, or whether the diff is sent to the bugs closed by this NMU. Can be maybe (default), which sends to the existing bug reports if exactly one bug is being closed; yes, which always creates a new report, or no, which always sends to the reports of the bugs being closed (unless no bugs are being closed, in which case a new report is always made).

BTS_SENDMAIL_COMMAND
    If this is set, specifies a sendmail command to use instead of /usr/sbin/sendmail. Same as the --sendmail command line option.

SEE ALSO
debdiff(1), sensible-editor(1), devscripts.conf(5)

AUTHOR
nmudiff was written and is copyright 2006 by Steinar H. Gunderson and modified by Julian Gilbey <jdg@debian.org>. The software may be freely redistributed under the terms and conditions of the GNU General Public License, version 2.